#
# spec file for package libListSerialsj
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# FIXME no macro provides the location of Java includes
%define javaincdir      %{_libdir}/jvm/java/include

%define tool            listSerialC
%define upstream_name   listSerialPortsC
%define libserial_hash  16e35cfa29ecf4292f19f07141c6b112a6848c69

Name:           liblistSerialsj
Version:        1.4.0
Release:        1.2
License:        LGPL-3.0
Summary:        Arduino IDE ulility for listing serial ports
Url:            https://github.com/arduino/%upstream_name
Group:          Software/Development/Libraries/Hardware
Source:         https://github.com/arduino/%upstream_name/archive/%version.tar.gz
Patch:          fix-random-return-value.patch
Source1:        https://github.com/arduino/libserialport/archive/%libserial_hash.tar.gz
BuildRequires:  autoconf
BuildRequires:  java-devel
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

This is a utility library built around libserialport from sigrok.

The main function is listing serial ports which is useful for presenting
a choice to the user in a GUI application or an interactive script.

JNI library and commandline utility is provided.

%prep
%setup -q -n %upstream_name-%version
%patch -p1
tar -zxf %{SOURCE1}
rmdir libserialport
mv libserialport-%libserial_hash libserialport

%build
cd libserialport
./autogen.sh
%configure
make %{?_smp_mflags}
cd ..
gcc %{optflags} main.c libserialport/linux_termios.c libserialport/linux.c libserialport/serialport.c -Ilibserialport/  -o %{tool}
gcc %{optflags} jnilib.c libserialport/linux_termios.c libserialport/linux.c libserialport/serialport.c -Ilibserialport/ -I%{javaincdir} -I%{javaincdir}/linux/ -shared -fPIC -o %{name}.so

%install
install -m 755 -D -t %{buildroot}/%{_bindir} %{tool}
install -m 644 -D -t %{buildroot}/%{_libdir} %{name}.so

%files
%defattr(-,root,root)
%doc libserialport/NEWS libserialport/README libserialport/AUTHORS libserialport/COPYING README.md LICENSE.md
%{_bindir}/%{tool}
%{_libdir}/%{name}.so

%changelog
* Sun Feb 26 2017 msuchanek@suse.com
- Arduino IDE ulility for listing serial ports
